<?php

use Illuminate\Database\Seeder;

class FbmanagerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('fbmanagers')->insert([
            [
                                    "users"               => 'ID',
                                                            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'trungpro.fbmanager.view',
                'name'      => 'View Fbmanager',
            ],
            [
                'slug'      => 'trungpro.fbmanager.create',
                'name'      => 'Create Fbmanager',
            ],
            [
                'slug'      => 'trungpro.fbmanager.edit',
                'name'      => 'Update Fbmanager',
            ],
            [
                'slug'      => 'trungpro.fbmanager.delete',
                'name'      => 'Delete Fbmanager',
            ],
            /*
            [
                'slug'      => 'trungpro.fbmanager.verify',
                'name'      => 'Verify Fbmanager',
            ],
            [
                'slug'      => 'trungpro.fbmanager.approve',
                'name'      => 'Approve Fbmanager',
            ],
            [
                'slug'      => 'trungpro.fbmanager.publish',
                'name'      => 'Publish Fbmanager',
            ],
            [
                'slug'      => 'trungpro.fbmanager.unpublish',
                'name'      => 'Unpublish Fbmanager',
            ],
            [
                'slug'      => 'trungpro.fbmanager.cancel',
                'name'      => 'Cancel Fbmanager',
            ],
            [
                'slug'      => 'trungpro.fbmanager.archive',
                'name'      => 'Archive Fbmanager',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/trungpro/fbmanager',
                'name'        => 'Fbmanager',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/trungpro/fbmanager',
                'name'        => 'Fbmanager',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'fbmanager',
                'name'        => 'Fbmanager',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'trungpro.fbmanager.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
